function [L,U]=my_LU(A)

%matrix A: mxn matrix,m>=n
%matrix L: mxn unit lower trapezoidal matrix
%matrix U: nxn upper traingular matrix

m=A(:,1);%no of rows in A
n=A(1,:);%no of columns in A
U=zeros(n,n);L=eye(m,n);